Get a V2 datasource
import requests
url = "https://{FUSION HOST}/api/connectors/configs/{id}"
response = requests.get(url)
print(response.text){
"parserId": "api-test-app",
"created": "2024-08-02T18:41:09.470Z",
"coreProperties": {},
"modified": "2024-08-02T18:41:09.470Z",
"id": "lucidworks_file_upload-api-test-app",
"type": "lucidworks.file-upload",
"collectionId": "api-test-app",
"properties": {
"mediaType": "application/octet-stream",
"fileId": "pokedex.json.zip"
},
"pipelineId": "api-test-app"
}Get a V2 datasource
Fetch the configuration properties of the specified V2 datasource configuration.
GET
/
connectors
/
configs
/
{id}
Get a V2 datasource
import requests
url = "https://{FUSION HOST}/api/connectors/configs/{id}"
response = requests.get(url)
print(response.text){
"parserId": "api-test-app",
"created": "2024-08-02T18:41:09.470Z",
"coreProperties": {},
"modified": "2024-08-02T18:41:09.470Z",
"id": "lucidworks_file_upload-api-test-app",
"type": "lucidworks.file-upload",
"collectionId": "api-test-app",
"properties": {
"mediaType": "application/octet-stream",
"fileId": "pokedex.json.zip"
},
"pipelineId": "api-test-app"
}Path Parameters
The datasource configuration ID.
Response
200 - application/json
OK
The response is of type object.
Was this page helpful?
⌘I